# TdApi.SearchChatMembers (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SearchChatMembers

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SearchChatMembers

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.ChatMembers>
it.tdlight.jni.TdApi.SearchChatMembers

Enclosing class:
  TdApi

public static final class TdApi.SearchChatMembers extends TdApi.Function<TdApi.ChatMembers>
Searches for a specified query in the first name, last name and username of the members of a specified chat. Requires administrator rights in channels.

Returns `ChatMembers`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`TdApi.ChatMembersFilter`
`filter`
The type of users to search for; pass null to search among all chat members.
`int`
`limit`
The maximum number of users to be returned; up to 200.
`String`
`query`
Query to search for.

## Constructor Summary

Constructors
Constructor
Description
`SearchChatMembers()`
Searches for a specified query in the first name, last name and username of the members of a specified chat.
`SearchChatMembers(long chatId, String query, int limit, TdApi.ChatMembersFilter filter)`
Searches for a specified query in the first name, last name and username of the members of a specified chat.
`SearchChatMembers(DataInput input)`
Searches for a specified query in the first name, last name and username of the members of a specified chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### query

public String query
Query to search for.

### limit

public int limit
The maximum number of users to be returned; up to 200.

### filter

public TdApi.ChatMembersFilter filter
The type of users to search for; pass null to search among all chat members.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SearchChatMembers

public SearchChatMembers()
Searches for a specified query in the first name, last name and username of the members of a specified chat. Requires administrator rights in channels.

Returns `ChatMembers`

### SearchChatMembers

public SearchChatMembers(long chatId, String query, int limit, TdApi.ChatMembersFilter filter)
Searches for a specified query in the first name, last name and username of the members of a specified chat. Requires administrator rights in channels.

Returns `ChatMembers`

Parameters:
  `chatId` - long Chat identifier.
  `query` - String Query to search for.
  `limit` - int The maximum number of users to be returned; up to 200.
  `filter` - ChatMembersFilter The type of users to search for; pass null to search among all chat members.

### SearchChatMembers

public SearchChatMembers(DataInput input) throws IOException
Searches for a specified query in the first name, last name and username of the members of a specified chat. Requires administrator rights in channels.

Returns `ChatMembers`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`